<template>
  <div class="container">
    <div class="row">
      <div class="col-xs-4">Победителем:</div>
      <div class="col-xs-8">{{ winnerName }}</div>
    </div>
    <div class="row">
      <div class="col-xs-4">Тариф без НДС:</div>
      <div class="col-xs-8">{{ price }}</div>
    </div>
    <div class="row">
      <div class="col-xs-4">НДС:</div>
      <div class="col-xs-8">{{ vat }}</div>
    </div>
    <div class="row">
      <div class="col-xs-4">Цена за км.:</div>
      <div class="col-xs-8">{{ tariff }}</div>
    </div>
    <div class="row">
      <div class="col-xs-4">Маршрут:</div>
      <div class="col-xs-8">{{ path }}</div>
    </div>
    <div class="row">
      <div class="col-xs-4">Дата ПВП:</div>
      <div class="col-xs-8">{{ datePVP }}</div>
    </div>
  </div>
</template>

<script>
import moment from 'moment'
import { formatNumber } from 'common-components/src/helpers/common'

export default {
  name: 'spotAssignWinnerModal',
  props: {
    selectedItem: {
      type: Object,
      default: () => {}
    },
    winnerItem: {
      type: Object,
      default: () => {}
    },
  },
  computed: {
    winnerName () {
      return this.winnerItem.title 
        ? this.winnerItem.title
        : '-'
    },
    price () {
      return this.winnerItem.tariffWithoutVat
        ? formatNumber(this.winnerItem.tariffWithoutVat / 100) + ' ₽'
        : '-'
    },
    vat () {
      return this.winnerItem.isVatPayer
        ? formatNumber(this.winnerItem.vat / 100) + ' ₽'
        : 'не облагается'
    },
    datePVP () {
      return moment(this.selectedItem.fromDt).locale('ru').format('DD.MM.YYYY HH:mm')
    },
    tariff () {
      return formatNumber(this.winnerItem.tariffWithoutVat / 100 / this.selectedItem.routeLengthInKm) + ' ₽/км'
    },
    path () {
      return `${this.selectedItem.fromLocation ? this.selectedItem.fromLocation : '-'} - ${this.selectedItem.toLocation ? this.selectedItem.toLocation : '-'}`
    }
  },
}
</script>

<style lang="scss">
.container {
  width: 45rem;
}
</style>
